Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class JavaBasePlugin

    java.lang.Object
      org.gradle.api.plugins.JavaBasePlugin

All Implemented Interfaces:
  Plugin

    public class JavaBasePlugin

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

Authors:
  Hans Dockter

Field Summary
`static String` | `BUILD_DEPENDENTS_TASK_NAME`
`static String` | `BUILD_NEEDED_TASK_NAME`
`static String` | `BUILD_TASK_NAME`
`static String` | `CHECK_TASK_NAME`
`static String` | `DOCUMENTATION_GROUP`
`static String` | `VERIFICATION_GROUP`

Method Summary
`void` | `apply(Project project)`
`void` | `configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### BUILD_DEPENDENTS_TASK_NAME

    public static final String BUILD_DEPENDENTS_TASK_NAME

### BUILD_NEEDED_TASK_NAME

    public static final String BUILD_NEEDED_TASK_NAME

### BUILD_TASK_NAME

    public static final String BUILD_TASK_NAME

### CHECK_TASK_NAME

    public static final String CHECK_TASK_NAME

### DOCUMENTATION_GROUP

    public static final String DOCUMENTATION_GROUP

### VERIFICATION_GROUP

    public static final String VERIFICATION_GROUP

Method Detail

### apply

    public void apply(Project project)

### configureForSourceSet

    public void configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)

Gradle API 1.1-rc-1